summarylogtreecommitdiffstats
path: root/update-branch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update-branch.sh')
-rwxr-xr-xupdate-branch.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/update-branch.sh b/update-branch.sh
index 652469336e3e..f089966cc905 100755
--- a/update-branch.sh
+++ b/update-branch.sh
@@ -1,13 +1,13 @@
#!/bin/sh
-REMOTE_URL=https://git.archlinux.org/svntogit/community.git
+REMOTE_URL=https://github.com/archlinux/svntogit-community.git
REMOTE_BRANCH=packages/ddclient
LOCAL_BRANCH=upstream
git fetch "$REMOTE_URL" "$REMOTE_BRANCH"
git checkout -B "$LOCAL_BRANCH" FETCH_HEAD
FILTER_BRANCH_SQUELCH_WARNING=1 git filter-branch -f --subdirectory-filter trunk \
- --tree-filter 'makepkg --printsrcinfo > .SRCINFO || rm .SRCINFO' \
+ --tree-filter '(makepkg --printsrcinfo; status=$?; echo; exit $status) >.SRCINFO || rm .SRCINFO' \
--commit-filter '
if [ -e .SRCINFO ]
then